# --------- File IRIX64_CC_make.inc -------- 

#  Liste des librariries externes  (complib.sgimath : lapack+blas de SGI)
SOPEXTLIBS = $(SOPEXTLIBP) $(SOPEXTLIBLIST) -lcomplib.sgimath

#  Chemin et librairie pour PI 
PIINC = $(PIEXTINC) -I/usr/include/
PILIBS = $(PIEXTLIB) -L/usr/lib/ -lXt -lX11 


#  Flag preprocesseur 
CPPFLAGS = -I$(SOPHYAINCP)  $(PIINC)
#  Def compilateur C et flags
CC = cc 
# Replace [CNFPHFLF] by specific compilation flags below (done by configure)
#  Mode 64 bits : flag -64 pour CFLAGS et CXXFLAGS
CFLAGS = -g3 -O CNFPHFLF
#  Def compilateur C++ et flags
CXX =  CC 
CXXFLAGS = -prelink -LANG:std -g3 -O CNFPHFLF 
# flags specifiques pour templates repository...
CXXTEMPFLG = 
#  Compilo fortran / commande et flags a verifier
FC = f90 
FFLAGS = CNFPHFLF 
# Pour fabriquer les lib .a
AR = /usr/bin/ar
ARFLAGS = -rcs


#  Ordres de compilation
CCOMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) -c 
CXXCOMPILE = $(CXX) $(CPPFLAGS) $(CXXFLAGS) -c 
FCCOMPILE = $(FC) $(FFLAGS) -c 

#  Extension de nom pour les librairies partagees
SLEXT = so
#  Fabrication de librairies partagees 
CMDSHLCXX = $(CXX) $(CXXFLAGS) $(CXXTEMPFLG) -shared 


#  Liste de librairie de base, necessaire pour libsophya
SOPBASELIBS = -lpthread -lm 
LIBFORT = 

# --- Chemin pour l ensemble les librairies SOPHYA , +ExtLibs, +PI
SOPHYALIBLIST = -L$(SOPHYALIBP) $(SOPMODLIBLIST)  $(SOPBASELIBS)
SOPHYAEXTLIBLIST = -L$(SOPHYALIBP) $(SOPMODLIBLIST) $(SOPEXTLIBS) $(SOPBASELIBS)
SOPHYAALLLIBLIST = -L$(SOPHYALIBP) $(SOPMODLIBLIST) $(SOPPILIBLIST) $(PILIBS) $(SOPEXTLIBS) $(SOPBASELIBS)

SOPHYASLBLIST = -L$(SOPHYASLBP) -lsophya  $(SOPBASELIBS)
SOPHYAEXTSLBLIST = -L$(SOPHYASLBP) -lextsophya -lsophya $(SOPEXTLIBS) $(SOPBASELIBS)
SOPHYAALLSLBLIST = -L$(SOPHYASLBP) -lPI -lextsophya -lsophya $(PILIBS) $(SOPEXTLIBS) $(SOPBASELIBS)

#  Commande de link pour creation d executables
CXXLINK = $(CXX) $(CXXFLAGS)
CLINK = $(CC) $(CFLAGS)
FCLINK = $(FC) $(FFLAGS)

#  Commande de link pour creation de module pouvant etre charge dynamiquement
CXXDLL = $(CXX) $(CXXFLAGS) -shared
